### Name: sm.regression
### Title: Nonparametric regression with one or two covariates.
### Aliases: sm.regression
### Keywords: nonparametric regression smooth

### ** Examples

#  An example with one covariate
x <- runif(100,-2, 2)
y <- x^2 + 2*x^3 + rnorm(50)/3
sm.regression(x, y, h=0.5)
sm.regression(x, y, col=2, add=TRUE)
#
u <-  sm.regression(x, y, h=h.select(x,y,method="cv"), display="none")
print(u$h)
#
#  An example with two covariates
x <- cbind(runif(100,-2, 2), runif(100,-2, 2))
y <- x[,1]^2 + x[,2]^2 + 0.7*x[,1]*x[,2] + rnorm(50)/3
sm.regression(x, y, h=c(1,1))
sm.regression(x, y, display="slice")



